bugManeage - Bugs: bug #61741, Matplotlib 3.5.1 not building in...

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #61741: Matplotlib 3.5.1 not building in Python 3.10

Submitter:  Mohammad Akhlaghi <makhlaghi>
Submitted:  Wed 29 Dec 2021 04:42:23 PM UTC
 
Category:  Software Severity:  3 - Normal
Item Group:  Crash Status:  Postponed
Privacy:  Public Assigned to:  None
Open/Closed:  Open

Wed 29 Dec 2021 04:42:23 PM UTC, original submission:  

Matplotlib 3.5.1 is crashes at the start of its configuration with the error in the P.S. The critical line seems to be this one:

ImportError: cannot import name 'Mapping' from 'collections' (/scratch/build/maneage/software/installed/lib/python3.10/collections/__init__.py)

This seems to be a core change in Python 3.10 that is not yet supported in Matplotlib.

Strangely, the old Matplotlib 3.3.0 compiles without a problem with Python 3.10! As a result, Matplotlib will not be updated in the ongoing attempt to update Maneage software. We'll wait until it can easily be built in Python 3.10 or someone volunteers with a patch.

P.S. full log of crash

BUILDING MATPLOTLIB
      python: yes [3.10.0 (default, Dec 29 2021, 16:34:57) [GCC 11.2.0]]
    platform: yes [linux]
       tests: no  [skipping due to configuration]
      macosx: no  [Mac OS-X only]

/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/setuptools/__init__.py:148: SetuptoolsDeprecationWarning: setup_requires is deprecated. Supply build dependencies using PEP 517 pyproject.toml build-requires.
  warnings.warn(
Traceback (most recent call last):
  File "/BDIR/software/installed/lib/python3.10/runpy.py", line 196, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/BDIR/software/installed/lib/python3.10/runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/__main__.py", line 16, in <module>
    from pip._internal import main as _main  # isort:skip # noqa
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_internal/__init__.py", line 40, in <module>
    from pip._internal.cli.autocompletion import autocomplete
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_internal/cli/autocompletion.py", line 8, in <module>
    from pip._internal.cli.main_parser import create_main_parser
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_internal/cli/main_parser.py", line 12, in <module>
    from pip._internal.commands import (
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_internal/commands/__init__.py", line 6, in <module>
    from pip._internal.commands.completion import CompletionCommand
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_internal/commands/completion.py", line 6, in <module>
    from pip._internal.cli.base_command import Command
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_internal/cli/base_command.py", line 25, in <module>
    from pip._internal.index import PackageFinder
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_internal/index.py", line 14, in <module>
    from pip._vendor import html5lib, requests, six
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_vendor/html5lib/__init__.py", line 25, in <module>
    from .html5parser import HTMLParser, parse, parseFragment
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_vendor/html5lib/html5parser.py", line 8, in <module>
    from . import _tokenizer
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_vendor/html5lib/_tokenizer.py", line 16, in <module>
    from ._trie import Trie
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_vendor/html5lib/_trie/__init__.py", line 3, in <module>
    from .py import Trie as PyTrie
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_vendor/html5lib/_trie/py.py", line 6, in <module>
    from ._base import Trie as ABCTrie
  File "/BDIR/software/installed/lib/python3.10/site-packages/pip-19.0.2-py3.10.egg/pip/_vendor/html5lib/_trie/_base.py", line 3, in <module>
    from collections import Mapping
ImportError: cannot import name 'Mapping' from 'collections' (/BDIR/software/installed/lib/python3.10/collections/__init__.py)
Traceback (most recent call last):
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/setuptools/installer.py", line 75, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/BDIR/software/installed/lib/python3.10/subprocess.py", line 369, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/BDIR/software/installed/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpy_q3ah6x', '--quiet', 'setuptools_scm_git_archive']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/dev/shm/maneage-maneage-mohammad/matplotlib-3.5.1/setup.py", line 273, in <module>
    setup(  # Finally, pass this all along to setuptools to do the heavy lifting.
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/setuptools/__init__.py", line 158, in setup
    _install_setup_requires(attrs)
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/setuptools/__init__.py", line 153, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/setuptools/dist.py", line 806, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/pkg_resources/__init__.py", line 766, in resolve
    dist = best[req.key] = env.best_match(
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/pkg_resources/__init__.py", line 1051, in best_match
    return self.obtain(req, installer)
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/pkg_resources/__init__.py", line 1063, in obtain
    return installer(requirement)
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/setuptools/dist.py", line 877, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/BDIR/software/installed/lib/python3.10/site-packages/setuptools-58.3.0-py3.10.egg/setuptools/installer.py", line 77, in fetch_build_egg
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/BDIR/software/installed/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpy_q3ah6x', '--quiet', 'setuptools_scm_git_archive']' returned non-zero exit status 1.
make: *** [reproduce/software/make/python.mk:428: /BDIR/software/installed/version-info/python/matplotlib-3.5.1] Error 1
make: Target 'all' not remade because of errors.

Mohammad Akhlaghi <makhlaghi>
Project Administrator

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by makhlaghi (Submitted the item)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

     

     

     

    No changes have been made to this item

    Back to the top


    Powered by Savane 3.9